Update Transaction Limit

Request to update transaction limit for a specific CP+ profile.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
{
  "data": {
    "id": "abc_1234",
    "type": "transactionLimits",
    "attributes": {
      "customerProfileId": "customer_profile_12313123",
      "totalDailyPaymentLimit": 200000,
      "availableDailyPaymentLimit": 200000,
      "totalDailyPayoutLimit": 200000,
      "availableDailyPayoutLimit": 200000,
      "transactionSizeLimit": null
    }
  }
}
{
  "data": {
    "id": "abc_1234",
    "type": "transactionLimits",
    "attributes": {
      "customerProfileId": "customer_profile_12313123",
      "totalAnnualPaymentLimit": 200000,
      "availableAnnualPaymentLimit": 200000,
      "totalAnnualPayoutLimit": 200000,
      "availableAnnualPayoutLimit": 200000,
      "transactionSizeLimit": null
    }
  }
}
{
	"data": {
		"id": "abc_1234",
		"type": "transactionLimitsUpdateRequest",
		"attributes": {
			"status": "approved",
			"customerProfileId": "customer_profile_12313123",
			"createdAt": "2025-01-16T09:52:52Z",
			"updatedAt": "2025-01-16T09:52:52Z"
		}
	}
}
📘

Max image file size

10mb per https request

Path Params
string
required

Customer Profile ID is retrieved from the response ID of Create Customer Profile+ API.

Body Params
data
object
required
Headers
string
required

You can retrieve this from your Dashboard Developer Tools.

Note: The X-XFERS-APP-API-KEY is a mandatory header for all authentication methods, including standard API key usage and HTTP Request Signing mode.

string

The Key ID, can be retrieved from your StraitsX Dashboard.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Current Unix epoch time in seconds. Must be within ±300 seconds of server time.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

A unique UUID string per request, used for replay protection. Must not be reused within the timestamp window.
Regex: /\A[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}\z/i

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

string

Base64-encoded digital signature of the canonical request string.

Note: This header attribute is required when HTTP Request Signing is enabled for your account.

Responses

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json